Subject: Re: bug#66795: 29.1; debbugs hashcash behavior discrepancy

From: Michael Albinus <[email-masked]>
Date: Wed, 17 Jan 2024 13:50:39 +0100

Eric Abrahamsen <[email-masked]> writes:

Hi,

>> It's strange that the value of `message-generate-hashcash' is ignored
>> when debbugs is used. This is undesired behavior since it results in
>> redundant or unused X-Hashcash headers when I edit the addresses in the
>> Cc or To lines.
>
> I'm not sure where debbugs comes into it -- Gnus will generate hashcash
> headers for any reply, during message setup. You don't see anything in
> "C-x m" because there's nothing in the To or Cc headers yet. But "S w"
> in a regular Gnus summary buffer will also generate the headers.

I don't know where we are now. Is it an error? Is it an error triggered
only in debbugs? Or isn't it an error at all?

Best regards, Michael.